%exam_8_59
clear;
A=imread('BaboonRGB.bmp');
A=rgb2gray(A);
D1=A;
D2=dct2(D1);                      %进行离散余弦变换
P=zeros(size(D1));
P1=P;P2=P;P3=P;
P1(1:40,1:40)= D2(1:40,1:40);
P2(1:60,1:60)= D2(1:60,1:60);
P3(1:80,1:80)= D2(1:80,1:80);  
D3=idct2(D2)./256;
E1=idct2(P1)./256;                     %将离散余弦变换后的矩阵和各小区域矩阵进行离散余弦逆变换
E2=idct2(P2)./256;
E3=idct2(P3)./256;
subplot(2,3,1);imshow(D1);
xlabel('(a)原始图片','Fontsize',20);
subplot(2,3,2);imshow(D2);
xlabel('(b)原始图片的DCT变换','Fontsize',20);
subplot(2,3,3);imshow(D3);
xlabel('(c)IDCT全尺寸恢复的图片','Fontsize',20);
subplot(2,3,4);imshow(E1);
xlabel('(d) IDCT40*40尺寸恢复的图片','Fontsize',20);
subplot(2,3,5);imshow(E2);
xlabel('(e) IDCT60*60尺寸恢复的图片','Fontsize',20);
subplot(2,3,6);imshow(E3);
xlabel('(f) IDCT80*80尺寸恢复的图片','Fontsize',20);
